For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send notification to recipient

Send notification to recipient. If any of the optional fields customerUid, orderUid and serviceOrderUid is given in request, the ids MUST refer to an existing uid in the flow database.

Either message-field or templateType field must be included in the request. If both are supplied, the content from the message-field will be used.

Suppling a templateType can require the field customerUid or orderUid to be included as well.

Required permissions: INTERNAL_PURCHASE_ORDER, PURCHASE_ORDER, RECEIVEMENT, RETURN_ORDER, SALES_ORDER, SERVICE_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/notifications
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
messageTypestring · enumRequiredPossible values:
recipientstringRequired

The recipient must be a valid phone number if the messageType is SMS, and a valid email if the messageType is EMAIL

subjectstringOptional

This is only valid for messageType EMAIL

messagestringOptional

The message that should be sent to the recipient

templateTypestringOptional

This must be a valid template type from the /metadata/templates endpoint

notificationUidstringOptionalPattern: ^[A-Za-z0-9-_]+
customerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
orderUidstringOptionalPattern: ^[A-Za-z0-9-_]+
purchaseOrderUidstringOptionalPattern: ^[A-Za-z0-9-_]+
receivementUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
messageTypestring · enumRequiredPossible values:
recipientstringRequired
messagestringRequired
subjectstringRequired
statestring · enumRequiredPossible values:
errorTextstringRequired
notificationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]*
serviceOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]*
serviceEventUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
supplierUidstringRequiredPattern: ^[A-Za-z0-9-_]*
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]*
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
sourcestringRequired

Source of the notification

post/tenants/{tenantUid}/stores/{storeUid}/notifications
POST /v2/tenants/{tenantUid}/stores/{storeUid}/notifications HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 259

{
  "messageType": "EMAIL",
  "recipient": "text",
  "subject": "text",
  "message": "text",
  "templateType": "text",
  "templateData": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "notificationUid": "text",
  "customerUid": "text",
  "orderUid": "text",
  "purchaseOrderUid": "text",
  "receivementUid": "text"
}
200

Example response

{
  "messageType": "EMAIL",
  "recipient": "text",
  "message": "text",
  "subject": "text",
  "state": "NOT_STARTED",
  "errorText": "text",
  "notificationUid": "text",
  "customerUid": "text",
  "orderUid": "text",
  "serviceOrderUid": "text",
  "serviceEventUid": "text",
  "tenantUserUid": "text",
  "supplierUid": "text",
  "receivementUid": "text",
  "purchaseOrderUid": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "source": "text"
}

Last updated

Was this helpful?